Support » Plugin: Posts To-Do List » Plugin broken after last update

  • Resolved tf5_bassist

    (@tf5_bassist)



    Looks like this plugin is not working, displaying an error in both the settings page, and the posts where the list should appear. This error is returned in both locations:

    Warning: call_user_func_array() expects parameter 1 to be a valid callback, first array member is not a valid class name or object in /home4/dnamped/public_html/sacramentodiscgolf/wp-includes/class-wp-hook.php on line 298

    Here’s the block of code with the referenced line in bold:

    // Avoid the array_slice if possible.
    if ( $the_['accepted_args'] == 0 ) {
    	$value = call_user_func_array( $the_['function'], array() );
    } elseif ( $the_['accepted_args'] >= $num_args ) {
    	$value = call_user_func_array( $the_['function'], $args );
    } else {
    	$value = call_user_func_array( $the_['function'], array_slice( $args, 0, (int)$the_['accepted_args'] ) );
    }
    

    Line 298 is the one with $args declared

    Any assistance would be appreciated, thanks!

Viewing 6 replies - 1 through 6 (of 6 total)
Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Plugin broken after last update’ is closed to new replies.